<template>
<v-row>
    <v-col cols="3" sm="3" v-for="item,index in products" :key="index">
        <v-hover v-slot="{ hover }" close-delay="200">
            <v-card :elevation="hover ? 16 : 2" :class="{ 'on-hover': hover }" class="mx-auto" height="200" max-width="200" :disabled="!item.status">
                <v-card-text class="font-weight-medium mt-12 text-center text-subtitle-1">
                    <img :src="require(`../picture/${item.image}.png`)"  alt="logo" width="150px" height="180px" />
                    <br /><br />
                    <v-btn depressed color="#CA4343" @click="selected(item)">
                        Enter
                    </v-btn>
                </v-card-text>
            </v-card>
        </v-hover>
    </v-col>
    <!-- <v-col cols="3" sm="3">
        <v-hover v-slot="{ hover }" close-delay="200">
            <v-card :elevation="hover ? 16 : 2" :class="{ 'on-hover': hover }" class="mx-auto" height="200" max-width="200">
                <v-card-text class="font-weight-medium mt-12 text-center text-subtitle-1">
                    <img src="../picture/MFU.png" alt="logo" width="150px" height="150px" />
                    <br /><br />

                    <v-btn depressed href="/menu2" color="#CA4343">
                        Enter
                    </v-btn>
                </v-card-text>
            </v-card>

        </v-hover>

    </v-col>
    <v-col cols="3" sm="3">
        <v-hover v-slot="{ hover }" close-delay="200">
            <v-card :elevation="hover ? 16 : 2" :class="{ 'on-hover': hover }" class="mx-auto" height="200" max-width="200">
                <v-card-text class="font-weight-medium mt-12 text-center text-subtitle-1">
                    <img src="../picture/MFU.png" alt="logo" width="150px" height="150px" />
                    <br /><br />
                    <v-btn depressed href="/cashier" color="#CA4343">
                        Enter
                    </v-btn>
                </v-card-text>
            </v-card>

        </v-hover>

    </v-col>
    <v-col cols="3" sm="3">
        <v-hover v-slot="{ hover }" close-delay="200">
            <v-card :elevation="hover ? 16 : 2" :class="{ 'on-hover': hover }" class="mx-auto" height="200" max-width="200">
                <v-card-text class="font-weight-medium mt-12 text-center text-subtitle-1">
                    <img src="../picture/MFU.png" alt="logo" width="150px" height="150px" />
                    <br /><br />
                    <v-btn depressed href="/cashier" color="#CA4343">
                        Enter
                    </v-btn>
                </v-card-text>
            </v-card>

        </v-hover>

    </v-col>
    <v-col cols="3" sm="3">
        <v-hover v-slot="{ hover }" close-delay="200">
            <v-card :elevation="hover ? 16 : 2" :class="{ 'on-hover': hover }" class="mx-auto" height="200" max-width="200">
                <v-card-text class="font-weight-medium mt-12 text-center text-subtitle-1">
                    <img src="../picture/MFU.png" alt="logo" width="150px" height="150px" />
                    <br /><br />
                    <v-btn depressed href="/cashier" color="#CA4343">
                        Enter
                    </v-btn>
                </v-card-text>
            </v-card>

        </v-hover>

    </v-col>
    <v-col cols="3" sm="3">
        <v-hover v-slot="{ hover }" close-delay="200">
            <v-card :elevation="hover ? 16 : 2" :class="{ 'on-hover': hover }" class="mx-auto" height="200" max-width="200">
                <v-card-text class="font-weight-medium mt-12 text-center text-subtitle-1">
                    <img src="../picture/MFU.png" alt="logo" width="150px" height="150px" />
                    <br /><br />
                    <v-btn depressed href="/cashier" color="#CA4343">
                        Enter
                    </v-btn>
                </v-card-text>
            </v-card>

        </v-hover>

    </v-col>
    <v-col cols="3" sm="3">
        <v-hover v-slot="{ hover }" close-delay="200">
            <v-card :elevation="hover ? 16 : 2" :class="{ 'on-hover': hover }" class="mx-auto" height="200" max-width="200">
                <v-card-text class="font-weight-medium mt-12 text-center text-subtitle-1">
                    <img src="../picture/MFU.png" alt="logo" width="150px" height="150px" />
                    <br /><br />
                    <v-btn depressed href="/cashier" color="#CA4343">
                        Enter
                    </v-btn>
                </v-card-text>
            </v-card>

        </v-hover>

    </v-col>
    <v-col cols="3" sm="3">
        <v-hover v-slot="{ hover }" close-delay="200">
            <v-card :elevation="hover ? 16 : 2" :class="{ 'on-hover': hover }" class="mx-auto" height="200" max-width="200">
                <v-card-text class="font-weight-medium mt-12 text-center text-subtitle-1">
                    <img src="../picture/MFU.png" alt="logo" width="150px" height="150px" />
                    <br /><br />
                    <v-btn depressed href="/cashier" color="#CA4343">
                        Enter
                    </v-btn>
                </v-card-text>
            </v-card>
        </v-hover>
    </v-col> -->
</v-row>
</template>

<script>
export default {
  data() {
    return {
      products: []
    }
  },
  created(){
    // axios ... res.data = this.products
    this.products = [{name:'1',image:'qw',status : "true"},{name:'2',image:'qw',status : "false"}]
  },
  methods: {
    selected(item){
      console.log(item)
      if(item.name==1){
        this.$router.push({
            name: "menu1",
        })
      }
      else if(item.name==2){
        this.$router.push({
            name: "menu2",
        })
      } 
      else{
        this.$router.push({
            name:"error2"
        })
      }  
    }
  },
}
</script>

<style scoped>
</style>